Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class AccTravQualByAttrValuesImpl

`java.lang.Object
oracle.jbo.common.AccTravQualBaseImpl
oracle.jbo.common.AccTravQualByAttrValuesImpl`

All Implemented Interfaces:
  AccTravQualifier, java.io.Serializable

public class AccTravQualByAttrValuesImpl
extends AccTravQualBaseImpl

This accessor traversal qualifier class matches by the row's attribute values.

Since:
  JDeveloper 10.1.2
See Also:
  `AccTravQualifier`, Serialized Form

Constructor Summary
`AccTravQualByAttrValuesImpl(int[] attrIndices, java.lang.Object[] attrValues, AccTravInvoke[] accTravInvokes)`
`AccTravQualByAttrValuesImpl(java.lang.String[] attrNames, java.lang.Object[] attrValues, AccTravInvoke[] accTravInvokes)`

Method Summary
`boolean` | `isMatch(Row row)` Returns if the row qualifies this AccTravQualifier.

Methods inherited from class oracle.jbo.common.AccTravQualBaseImpl
`getAccTravInvokes, getParent, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccTravQualByAttrValuesImpl

    public AccTravQualByAttrValuesImpl(java.lang.String[] attrNames,
                                       java.lang.Object[] attrValues,
                                       AccTravInvoke[] accTravInvokes)

### AccTravQualByAttrValuesImpl

    public AccTravQualByAttrValuesImpl(int[] attrIndices,
                                       java.lang.Object[] attrValues,
                                       AccTravInvoke[] accTravInvokes)

Method Detail

### isMatch

    public boolean isMatch(Row row)

  Description copied from interface: `AccTravQualifier`
  Returns if the row qualifies this AccTravQualifier.
  Specified by:
    `isMatch` in interface `AccTravQualifier`
  Specified by:
    `isMatch` in class `AccTravQualBaseImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.